Skip to content
Documentation sections

Retrieve all credit consumption periods

GET /consumption/periods on the Congestion API. Base URL: https://api.sinay.ai/congestion/api/v1.

Responses

Body: application/json, array of object.

FieldTypeRequiredDescription
[].idstring (uuid)YesUnique identifier of the consumption period.
[].creditsintegerYesRemaining credits.
[].creditsInitialintegerYesCredits allocated at the start of the period.
[].periodStartstring (date-time)YesStart of the period.
[].periodEndstring (date-time)YesEnd of the period.
[].expiredbooleanYesWhether this period has expired.